#ifndef _CLABELGUI_H_
#define _CLABELGUI_H_

#include "../App/EngineH.h"
#include "CBaseGUI.h"
#include "../Fonts/FreeType.h"

class C_LABEL_0 : public C_BASEGUI_0
{
private :
	
	std::string				_sText;
	TRGBf					_fColor;
	TPoint					_point;
	
public :
	C_FREETYPE_0			_freetype;
	//C_LABEL_0();
	C_LABEL_0(std::string name, font_data fd, TPoint point,  std::string text);
	C_LABEL_0(std::string name, font_data fd, float x, float y, std::string text);
	~C_LABEL_0();

public :
	virtual void			Keyboard(bool keys[255]);
	virtual void			MouseClick(int button,int x,int y);
	virtual void			MouseMove(int x,int y){;}
	virtual void			Render(bool focus);

	void					DrawFont();
	void					SetPoint(TPoint point) { _point = point; }
	void					SetPoint(float x, float y) { _point = GetTPoint(x, y); }
	void					SetColor(TRGBf fColor) { _fColor = fColor; }
	void					SetColor(float r, float g, float b) { _fColor = GetRGBf(r,g,b); }
	void					SetText(std::string text) { _sText = text; }
	void					SetFont(font_data df) { _freetype.LoadFont(df); }
};

#endif //_CLABELGUI_H_











